<template>
  <v-card @click="$emit('onClickHandler')" class="widget-container">
    <v-card-text>
      <v-row class="align-center">
        <v-col class="flex-grow-0">
          <v-img :src="data.img" width="90"> </v-img>
        </v-col>
        <v-col>
          <h3>{{ data.title }}</h3>
        </v-col>
      </v-row>
      <v-row>
        <v-col>
          <span class="widget-description">{{ data.description }}</span>
        </v-col>
      </v-row>
    </v-card-text>
  </v-card>
</template>


<script>
export default {
  name: "Widget Card",
  emits: ["onClickHandler"],
  props: {
    data: { type: Object },
  },
};
</script>

<style scoped>
.widget-container {
  border-radius: 5px;
  border: 1px solid #cfc4c4;
}
.widget-description {
  color: #7f7c7c;
}
</style>